summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-misc/fortune-mod-cs/fortune-mod-cs-1.6.9.ebuild')
-rw-r--r--games-misc/fortune-mod-cs/fortune-mod-cs-1.6.9.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/games-misc/fortune-mod-cs/fortune-mod-cs-1.6.9.ebuild b/games-misc/fortune-mod-cs/fortune-mod-cs-1.6.9.ebuild
new file mode 100644
index 00000000000..e40d12bbdcd
--- /dev/null
+++ b/games-misc/fortune-mod-cs/fortune-mod-cs-1.6.9.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+EAPI=5
+DESCRIPTION="Database of the Czech and Slovak cookies for the fortune(6) program"
+HOMEPAGE="http://ftp.fi.muni.cz/pub/linux/people/zdenek_pytela/"
+SRC_URI="http://ftp.fi.muni.cz/pub/linux/people/zdenek_pytela/${P/-mod/}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
+IUSE="unicode"
+
+RDEPEND="games-misc/fortune-mod"
+DEPEND="${RDEPEND}
+ unicode? ( virtual/libiconv )"
+
+S=${WORKDIR}/${P/-mod/}
+
+src_prepare() {
+ rm -f LICENSE install.sh fortune-cs.* *xpm
+}
+
+src_compile() {
+ local f
+ for f in [[:lower:]]* ; do
+ if use unicode ; then
+ iconv --from-code iso-8859-2 --to-code utf8 -o${f}.utf8 ${f}
+ mv ${f}.utf8 ${f}
+ fi
+ strfile -s ${f} || die "strfile ${f} failed"
+ done
+}
+
+src_install() {
+ insinto /usr/share/fortune/cs
+ doins [[:lower:]]*
+ dodoc [[:upper:]]*
+}